<!DOCTYPE html>
<html>
    <head>
        <title>Lab 1</title>
        <link rel="stylesheet" href="styles/site.css" type="text/css" />
        <META http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>

    <body class="theme-default aui-theme-default">
        <div id="page">
            <div id="main" class="aui-page-panel">
                <div id="main-header">
                    <div id="breadcrumb-section">
                        <ol id="breadcrumbs">
                            
                                                </ol>
                    </div>
                    <h1 id="title-heading" class="pagetitle">
                                                
                    </h1>
                </div>

                <div id="content" class="view">
                    <div class="page-metadata">
                        
        
    
        
    
        
        
                        </div>
                    <div id="main-content" class="wiki-content group">
                    <h2 id="AWSLab1-Lab1:Preprocessing">Lab 1: Preprocessing</h2><p><em>Overview:</em></p><p>This lab is designed to get you started in SageMaker and Notebook Instances as you build the first job of the pipeline: Preprocessing. We have collected data on various wines, including chemical characteristics and the corresponding ratings. You will get to see how this is preprocessed to prepare for model training. You will practice pulling the latest code from our repository and uploading it to JupyterLabs. From there you will have a chance to explore the preprocessing step of the code and run the pipeline. Finally, you will view the logs from the completed first job of the pipeline in SageMaker Studio, Amazon’s development environment for Machine Learning.</p><p><em>Roadmap:</em></p><ol><li><p>Open the Lab Environment</p></li><li><p>log in to AWS</p></li><li><p>Navigate to SageMaker Dashboard</p></li><li><p>Open SageMaker notebook instance</p></li><li><p>Clone code Repository</p></li><li><p>Read through the preprocessing step</p></li><li><p>Run the pipeline</p></li><li><p>View Pipeline Graph in SageMaker Studio</p></li><li><p>View Logs in CloudWatch via Logs tab in pipeline Graph</p></li></ol><p><em>Instructions:</em></p><ol><li><p>Open the Lab Environment. You can find the link to the Lab Environment in the next section. The page you arrive at should be similar to the image below. Navigate to the <strong>Microsoft Office Professional Plus 2019 (Windows Server 2019) </strong>tab. Wait for the environment to load which will take a few minutes.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201501.png" data-image-src="attachments/2324496399/2324201501.png" data-height="743" data-width="1917" data-unresolved-comment-count="0" data-linked-resource-id="2324201501" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220510-135221.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="d4ab2da4-6f88-4d38-bfa5-223d75a09e10" data-media-type="file"></span></li><li><p>Log in to AWS</p><ol><li><p>Once in the environment open Google Chrome from the taskbar and navigate to <a class="external-link" href="https://aws.amazon.com/" rel="nofollow">https://aws.amazon.com/</a></p></li><li><p>Sign In to the Console using the AWS credentials located under <strong>Public Clouds </strong>on the left sidebar. Select IAM user and enter the account number. Click next. Enter the username and password. Once you are signed in you should see the region <strong>N.Virginia</strong> at the top right of the page. If not, click the dropdown and select <strong>us-east-1</strong> as your region.</p><span class="confluence-embedded-file-wrapper image-center-wrapper confluence-embedded-manual-size"><img class="confluence-embedded-image image-center" width="442" loading="lazy" src="attachments/2324496399/2324201507.png?width=442" data-image-src="attachments/2324496399/2324201507.png" data-height="903" data-width="1920" data-unresolved-comment-count="0" data-linked-resource-id="2324201507" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="public clouds with edits-20220411-142839.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="e529a967-08fb-4879-9f84-0fe06c3fe4b8" data-media-type="file"></span></li></ol></li><li><p>Navigate to the SageMaker Dashboard</p><ol><li><p>Find <strong>SageMaker</strong> using the search bar or <strong>Services </strong>tab at the top :services: .</p></li><li><p>Feel free to explore the SageMaker user interface</p></li><li><p>On the left sidebar, open the <strong>Notebook</strong> dropdown and click <strong>Notebook instances</strong></p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201513.png" data-image-src="attachments/2324496399/2324201513.png" data-height="669" data-width="1695" data-unresolved-comment-count="0" data-linked-resource-id="2324201513" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-205846.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="71e42bdb-cf22-43a7-8e9b-09206afcd4a3" data-media-type="file"></span></li></ol></li><li><p>Navigate to the created Notebook instance</p><ol><li><p>The notebook, <strong>aieu-notebook-instance</strong>, appears in the list of notebook instances. Select <strong>Open JupyterLab </strong>from the right. Feel free to explore JupyterLabs</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201519.png" data-image-src="attachments/2324496399/2324201519.png" data-height="665" data-width="1705" data-unresolved-comment-count="0" data-linked-resource-id="2324201519" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-205940.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="9e00f008-b1ff-4c39-aa73-20dfb725eece" data-media-type="file"></span></li></ol></li><li><p>Set up the Gitlab Repository on the Notebook Instance</p><ol><li><p>A launcher page will be automatically loaded on the right side of the page. Scroll down and open <strong>Terminal</strong> by hovering over it and double-clicking.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201525.png" data-image-src="attachments/2324496399/2324201525.png" data-height="645" data-width="1309" data-unresolved-comment-count="0" data-linked-resource-id="2324201525" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-210345.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="56d31881-ec5e-4d04-b327-b2628bfa45b7" data-media-type="file"></span></li><li><p>Once in the terminal, copy and paste the following code to clone the repository. Hit Enter</p><div class="code panel pdl" style="border-width: 1px;"><div class="codeContent panelContent pdl">
<pre class="syntaxhighlighter-pre" data-syntaxhighlighter-params="brush: java; gutter: false; theme: Confluence" data-theme="Confluence">cd test/
git clone https://gitlab.com/ElderResearch/public/training/aws-intro-to-mlops.git

</pre>
</div></div></li><li><p>The <strong>aws-intro-to-mlops</strong> repository has been cloned at this point, but it is not yet set up for Lab 1. Enter the following command in the Terminal to confirm.</p><div class="code panel pdl" style="border-width: 1px;"><div class="codeContent panelContent pdl">
<pre class="syntaxhighlighter-pre" data-syntaxhighlighter-params="brush: java; gutter: false; theme: Confluence" data-theme="Confluence">ls</pre>
</div></div><p> </p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201531.png" data-image-src="attachments/2324496399/2324201531.png" data-height="145" data-width="1716" data-unresolved-comment-count="0" data-linked-resource-id="2324201531" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-211459.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="7846ee59-88fa-45bb-bf16-4677454d9a42" data-media-type="file"></span></li><li><p>Assuming that you are still in the <strong>SageMaker/</strong> directory in the Terminal, copy the following code and paste them into the Terminal. Hit Enter. This will pull the latest changes from the remote repository and set you up for Lab 1.</p></li><li><div class="code panel pdl" style="border-width: 1px;"><div class="codeContent panelContent pdl">
<pre class="syntaxhighlighter-pre" data-syntaxhighlighter-params="brush: java; gutter: false; theme: Confluence" data-theme="Confluence">cd aws-intro-to-mlops/
git pull origin main
git fetch --all --tags
git checkout lab1
</pre>
</div></div></li><li><p>You are now ready to explore the repository on the left window. Feel free to explore this repository but do not make unintentional changes to the code, causing the pipeline to fail.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201537.png" data-image-src="attachments/2324496399/2324201537.png" data-height="408" data-width="409" data-unresolved-comment-count="0" data-linked-resource-id="2324201537" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-212113.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="4d37d522-aff9-43ff-91c6-8df99fcf51ef" data-media-type="file"></span></li><li><p>Close the Terminal. This is not the same as the Console that you will use later.</p></li></ol></li><li><p>Read through the preprocessing step</p><ol><li><p>Open and explore <strong>pipeline.py</strong>. This is the workflow script. Lines 150-180 define the preprocessing or feature engineering step.</p></li><li><p>Navigate to <strong>preprocessing.py</strong> in the <strong>scripts </strong>folder. This script will perform feature engineering on the dataset.</p></li></ol></li><li><p>Run the pipeline</p><ol><li><p>Open <strong>pipeline.py </strong>again by double-clicking.</p></li><li><p>Hover over any text in the script and right-click. Choose <strong>create console for editor</strong>. Select <strong>conda_python_3 </strong>as your preferred terminal when prompted.<strong> </strong>The console will open in the bottom bar</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201543.png" data-image-src="attachments/2324496399/2324201543.png" data-height="697" data-width="1710" data-unresolved-comment-count="0" data-linked-resource-id="2324201543" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-212724.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="95d13d94-22d7-40f9-bb3b-b1ce87bb17e5" data-media-type="file"></span></li><li><p>In the new console, type <strong>run pipeline.py</strong> and hit shift-enter.</p><ol><li><p>The pipeline may run for up to 15 minutes so this would be a great time to grab a cup of coffee or tea. The finished pipeline will return the message: “<code>Wine Model Build Pipeline complete.</code>&quot;</p><span class="confluence-embedded-file-wrapper image-center-wrapper confluence-embedded-manual-size"><a href="attachments/2324496399/2324201549.mp4?width=612">Run jupyterLab_Trim (2).mp4</a></span></li></ol></li></ol></li><li><p>Open <strong>SageMaker Studio</strong></p><ol><li><p>Navigate back to Amazon SageMaker. This tab should still be open in your Google window.</p></li><li><p>Click <strong>Studio </strong>in the left navigation bar. Then click <strong>Launch SageMaker Studio.</strong></p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201555.png" data-image-src="attachments/2324496399/2324201555.png" data-height="650" data-width="1707" data-unresolved-comment-count="0" data-linked-resource-id="2324201555" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-213022.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="b5743525-2b2a-4103-93c3-9c380812065d" data-media-type="file"></span></li><li><p>The first time opening SageMaker Studio you must create a user profile. When creating a new user profile:</p><ol><li><p>Enter <strong>student</strong> as the user profile name.</p></li><li><p>Make sure that the execution role is set to <strong>AmazonSageMaker-ExecutionRole</strong>.</p></li><li><p>Click Submit.</p></li></ol></li><li><p>When prompted, set the VPC to <strong>Main_vpc</strong>. You will see this name appear at the end of the VPC ID.</p></li><li><p>Add two subnets: <strong>Domain_Private_Subnet1 </strong>and <strong>Domain_Private_Subnet2</strong>. Save and Continue.</p></li><li><p>You may get errors saying <strong>AccessDeniedExecption</strong>. Simply ignore and continue to wait for the user profile to create. This may take a few minutes. Refresh the page to remove the errors from the screen.</p></li><li><span class="confluence-embedded-file-wrapper image-center-wrapper"><a href="attachments/2324496399/2324201561.mp4">set up Studio Domain.mp4</a></span></li><li><p>When the Domain is ready you will see the profile <strong>student</strong> you created listed under users. Select <strong>Launch App</strong> then <strong>Studio</strong>. It may take a few moments for SageMaker Studio to open.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201567.png" data-image-src="attachments/2324496399/2324201567.png" data-height="604" data-width="1692" data-unresolved-comment-count="0" data-linked-resource-id="2324201567" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-213254.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="05d616be-6821-49f4-aa67-dd1732c45a58" data-media-type="file"></span></li></ol></li><li><p>View Pipeline Graph in SageMaker Studio</p><ol><li><p>Once inside the studio, select the SageMaker resources icon on the left console :pipeline: .</p></li><li><p>In the drop-down menu select <strong>Pipelines</strong>.</p></li><li><p>Select <strong>WineQualityPipeline </strong>from the list of pipelines by double-clicking the pipeline name.</p></li><li><p>If your pipeline is still executing, wait for it to complete</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201573.png" data-image-src="attachments/2324496399/2324201573.png" data-height="327" data-width="1703" data-unresolved-comment-count="0" data-linked-resource-id="2324201573" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-022149.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="6f33355e-81b3-4015-8f91-5ad6acd70e04" data-media-type="file"></span></li><li><p>When the run completes the status will be Succeeded with a green circle next to it. Double click the successful run to select it. The graph gives a visual of the completion status of each step of the pipeline.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201579.png" data-image-src="attachments/2324496399/2324201579.png" data-height="148" data-width="643" data-unresolved-comment-count="0" data-linked-resource-id="2324201579" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220608-160353.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="af50497d-ab12-427f-b34b-6ca58fd476c0" data-media-type="file"></span></li><li><p>Select the Feature Engineering<strong> </strong>node. Note the name of the node - this will be a quiz question. A console on the right will appear that will allow you to track input, output, logs, and other information.</p></li></ol></li><li><p>View Logs in CloudWatch via Logs tab in pipeline Graph</p><ol><li><p>Navigate to the <strong>Logs </strong>tab. You will see logs for the selected pipeline step. Logs can also be viewed in CloudWatch.</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201585.png" data-image-src="attachments/2324496399/2324201585.png" data-height="673" data-width="1727" data-unresolved-comment-count="0" data-linked-resource-id="2324201585" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220609-213618.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="4935a342-5536-4c5d-ba4c-b41e3f721487" data-media-type="file"></span></li><li><p>Select <strong>view logs in CloudWatch console</strong>. The logs for the most recent pipeline run should automatically appear in the search bar. Verify the last event time of the <strong>WineFeatureEng</strong> log listed.</p></li><li><p>Read through the logs.</p></li></ol></li><li><p>Ensure you shut down any Terminal Sessions or Kernel Sessions in your Notebook Instance</p><span class="confluence-embedded-file-wrapper image-center-wrapper"><img class="confluence-embedded-image image-center" loading="lazy" src="attachments/2324496399/2324201591.png" data-image-src="attachments/2324496399/2324201591.png" data-height="416" data-width="415" data-unresolved-comment-count="0" data-linked-resource-id="2324201591" data-linked-resource-version="1" data-linked-resource-type="attachment" data-linked-resource-default-alias="image-20220610-020349.png" data-base-url="https://elderresearch.atlassian.net/wiki" data-linked-resource-content-type="image/png" data-linked-resource-container-id="2324496399" data-linked-resource-container-version="2" data-media-id="6671d3a0-d82d-4522-b275-b456cf0b12d8" data-media-type="file"></span></li></ol><p> </p><p> </p>
                    </div>

                                        <div class="pageSection group">
                        
                    </div>
                    
                 
                </div>             </div> 
            
        </div>     </body>
</html>
